package cn.superdesk.uniorder.dubbo.consumer.order.old;

import cn.superdesk.uniorder.dao.entity.sys.SysGood;
import cn.superdesk.uniorder.dubbo.facade.order.old.DubboSysGoodsService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


@Deprecated
@Slf4j
@Component
public class GoodsDubboConsumerService {


	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboSysGoodsService dubboSysGoodsService;


	public void add(SysGood t) {
		dubboSysGoodsService.addObj(t);
	}

	public void deleteGoodBySysOrderId(String sysOrderId) {
		dubboSysGoodsService.deleteGoodBySysOrderId(sysOrderId);
	}
}
